# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.1.0] - 2024-12-29

### Added
- with updated notmad
- added please and release
- change order of grpc host
- add replicas 1
- add s3 and deployment
- add prometheus and protobuf messages
- increase size of index
- add indexes
- set notification to 4mb
- add storage backend
- remove more partitions
- cleanup
- remove keys and ids
- working dagger engine
- should listen on public endpoint
- with sdk
- with dagger engine
- do cleanup
- add broker setup
- update
- add basic streaming data
- add ingest layer
- extract handler
- add offset to consumers
- add complexity
- added v1 files
- add operations endpoint to get topics
- add staging
- add data ingest
- add docs
- add base

### Fixed
- *(deps)* update aws-sdk-rust monorepo
- *(deps)* update rust crate serde to v1.0.216
- *(deps)* update rust crate aws-sdk-s3 to v1.65.0
- *(deps)* update rust crate aws-sdk-s3 to v1.63.0
- *(deps)* update rust crate serde to v1.0.215
- *(deps)* update all dependencies
- offset be inclusive end

### Other
- *(deps)* update tokio-prost monorepo to v0.13.4
- *(deps)* update rust crate tracing-subscriber to v0.3.19
- *(deps)* update rust crate tracing to v0.1.41
- into files
